### Home Classes Methods

### In Files

- lib/memcache/null_server.rb

### Parent

Memcache::Base

### Methods

- #add
- #delete
- #flush_all
- #get
- #incr
- #name
- #set

### Class/Module Index

Quicksearch

- Memcache
- Memcache::Base
- Memcache::ClientError
- Memcache::ConnectionError
- Memcache::Error
- Memcache::LocalServer
- Memcache::Migration
- Memcache::NullServer
- Memcache::PGServer
- Memcache::Pool
- Memcache::Segmented
- Memcache::SegmentedNativeServer
- Memcache::SegmentedServer
- Memcache::Server
- Memcache::ServerError
- Object
- PGconn

No matching classes.

# Memcache::NullServer

### Public Instance Methods

add(key, value, expiry = nil) click to toggle source

    # File lib/memcache/null_server.rb, line 26
    def add(key, value, expiry = nil)
      nil
    end

delete(key, expiry = nil) click to toggle source

    # File lib/memcache/null_server.rb, line 18
    def delete(key, expiry = nil)
      nil
    end

flush_all(delay = nil) click to toggle source

    # File lib/memcache/null_server.rb, line 7
    def flush_all(delay = nil)
    end

get(keys) click to toggle source

    # File lib/memcache/null_server.rb, line 10
    def get(keys)
      keys.kind_of?(Array) ? {} : nil
    end

incr(key, amount = nil) click to toggle source

    # File lib/memcache/null_server.rb, line 14
    def incr(key, amount = nil)
      nil
    end

name() click to toggle source

    # File lib/memcache/null_server.rb, line 3
    def name
      "null"
    end

set(key, value, expiry = nil) click to toggle source

    # File lib/memcache/null_server.rb, line 22
    def set(key, value, expiry = nil)
      nil
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.